use actix_web::http::StatusCode;
use actix_web::ResponseError;

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error("Arg parse error: {0}")]
    ArgparseError(#[from] structopt::clap::Error),

    #[error("Just an error: {0}")]
    JustError(String),
}

impl ResponseError for Error {
    fn status_code(&self) -> actix_web::http::StatusCode {
        StatusCode::BAD_REQUEST
    }
}
