import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { AssignedJobByIdModel } from 'src/app/models';
import { ApiTableService } from '../../../services';

@Component({
    selector: 'assign-job-dialog',
    templateUrl: 'assign-job-dialog.component.html',
    styleUrls: []
})
export class AssignJobDialogComponent {
    rows: string[] = [];
    selected_rows: string[] = [];

    constructor(
        @Inject(MAT_DIALOG_DATA) public agent_id: string,
        private dataSource: ApiTableService,
    ) {
        dataSource.getJobs().subscribe(resp => {
            this.rows = resp.map(j => `${j.id} ${j.alias}`)
        })
    }

    assignSelectedJobs() {
        const assigned_jobs: AssignedJobByIdModel[] = this.selected_rows.map(row => {
            const job_id = row.split(' ', 1)[0];
            return {
                job_id: job_id,
                agent_id: this.agent_id
            }
        });
        this.dataSource.createResult(assigned_jobs).subscribe(_ => {
            alert("Created")
        });
    }
}