import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { EventEmitter } from '@angular/core';
import { Job, JobModel } from '../../../models/job.model';
import { ApiTableService } from 'src/app/services';

@Component({
    selector: 'job-info-dialog',
    templateUrl: 'job-info-dialog.component.html',
    styleUrls: ['../base-info-dialog.component.less']
})
export class JobInfoDialogComponent {
    //[id, name]
    isPreview = true;
    allPayloads: [string | null, string][] = [[null, "none"]];

    onSave = new EventEmitter<JobModel>();

    constructor(@Inject(MAT_DIALOG_DATA) public data: Job, dataSource: ApiTableService) {
        dataSource.getPayloads().subscribe(resp => {
            this.allPayloads = this.allPayloads.concat(resp.map(r => [r.id, r.name]))
        })
    }

    updateJob() {
        this.onSave.emit(this.data.meta);
    }
}