import { Component, OnInit } from '@angular/core';
import { MatSnackBar, MatSnackBarConfig } from '@angular/material/snack-bar';
import { ErrorService } from 'src/app/services/error.service';

@Component({
  selector: 'global-error',
  templateUrl: './global-error.component.html',
  styleUrls: ['./global-error.component.less']
})
export class GlobalErrorComponent implements OnInit {

  constructor(
    private snackBar: MatSnackBar,
    private errorService: ErrorService
  ) { }

  ngOnInit() {
    this.errorService.error$.subscribe(err => {
      const _config = (duration: number): MatSnackBarConfig => {
        return {
          horizontalPosition: 'right',
          verticalPosition: 'bottom',
          duration
        }
      }
      const error = true;
      const cfg = error ? _config(0) : _config(2000)

      if (err != '') {
        this.snackBar.open(err, 'Ok', cfg)
      }
    })
  }
}
