import { Component, OnInit } from '@angular/core';
import { TableComponent } from '../base-table/base-table.component';
import { Area, ResultModel } from '../../../models';
import { ResultInfoDialogComponent } from '../../dialogs';

@Component({
  selector: 'results-table',
  templateUrl: './result-table.component.html',
  styleUrls: ['../base-table/base-table.component.less'],
  providers: [{ provide: 'area', useValue: 'map' }]
})
export class ResultComponent extends TableComponent<ResultModel> {
  area = 'map' as Area
  displayedColumns = [
    'id',
    'alias',
    'agent_id',
    'job_id',
    'state',
    'last_updated',
    'actions'
  ];

  showItemDialog(id: string) {
    this.dataSource.getResult(id).subscribe(resp => {
      const dialog = this.infoDialog.open(ResultInfoDialogComponent, {
        data: resp,
        width: '1000px',
      });

      dialog.afterClosed().subscribe(_ => {
        this.router.navigate(['.'], { relativeTo: this.route })
      })
    })
  }
}
