mod argparse;
mod gui;

#[macro_use]
extern crate tracing;

use anyhow::Result as AnyResult;
use argparse::{process_cmd, Args};
use structopt::StructOpt;
use u_lib::api::HttpClient;
use u_lib::config::AccessEnv;
use u_lib::logging::init_logger;

#[actix_web::main]
async fn main() -> AnyResult<()> {
    init_logger(None);

    let env = AccessEnv::load()?;
    let client = HttpClient::new(&env.u_server, Some(env.admin_auth_token)).await?;
    let args = Args::from_args();
    let result = process_cmd(client, args).await.to_string();

    println!("{result}");
    Ok(())
}
