use super::env::*;
use super::run_async;

pub use u_lib::api::HttpClient;
use u_lib::db::unpooled;
pub use u_lib::db::PgConnection;

#[fixture]
#[once]
pub fn client(env_default: EndpointsEnv) -> HttpClient {
    run_async(HttpClient::new(&env_default.u_server, None)).unwrap()
}

#[fixture]
#[once]
pub fn client_panel(env_access: AccessEnv) -> HttpClient {
    run_async(HttpClient::new(
        &env_access.u_server,
        Some(env_access.admin_auth_token),
    ))
    .unwrap()
}

#[fixture]
#[once]
pub fn db(env_db: DBEnv) -> PgConnection {
    unpooled(&env_db)
}
