use crate::fixtures::env::*;
use u_lib::config::MASTER_PORT;

#[rstest]
#[tokio::test]
async fn non_auth_connection_dropped(env_default: EndpointsEnv) {
    let client = reqwest::ClientBuilder::new()
        .danger_accept_invalid_certs(true)
        .build()
        .unwrap();
    match client
        .get(format!("https://{}:{}", &env_default.u_server, MASTER_PORT))
        .send()
        .await
    {
        Err(e) => {
            let err = e.to_string();
            println!("captured err: {err}");
            assert!(err.contains("certificate required") || err.contains("channel closed"));
        }
        _ => panic!("no error occured on foreign client connection"),
    }
}
