#![allow(non_upper_case_globals)]
pub mod api;
pub mod cache;
pub mod combined_result;
pub mod config;
pub mod conv;
#[cfg(feature = "server")]
pub mod db;
pub mod error;
pub mod jobs;
pub mod logging;
pub mod messaging;
pub mod misc;
pub mod models;
pub mod platform;
pub mod proc_output;
pub mod scheduler;
pub mod types;
pub mod u_runner;
pub mod ufs;
#[cfg(unix)]
pub mod unix;

pub use error::{UError, UResult};

#[cfg(feature = "server")]
pub mod schema_exports {
    pub use diesel::sql_types::*;
}

#[cfg(feature = "server")]
#[macro_use]
extern crate diesel;

#[macro_use]
extern crate tracing;

#[cfg(test)]
#[macro_use]
extern crate rstest;
