// @generated automatically by Diesel CLI.

pub mod sql_types {
    #[derive(diesel::sql_types::SqlType)]
    #[diesel(postgres_type(name = "agentstate"))]
    pub struct Agentstate;

    #[derive(diesel::sql_types::SqlType)]
    #[diesel(postgres_type(name = "jobstate"))]
    pub struct Jobstate;

    #[derive(diesel::sql_types::SqlType)]
    #[diesel(postgres_type(name = "jobtype"))]
    pub struct Jobtype;
}

diesel::table! {
    use crate::schema_exports::*;
    use super::sql_types::Agentstate;

    agents (id) {
        alias -> Nullable<Text>,
        hostname -> Text,
        host_info -> Text,
        id -> Uuid,
        ip_gray -> Nullable<Text>,
        ip_white -> Nullable<Text>,
        is_root -> Bool,
        is_root_allowed -> Bool,
        last_active -> Timestamp,
        platform -> Text,
        regtime -> Timestamp,
        state -> Agentstate,
        token -> Nullable<Text>,
        username -> Text,
    }
}

diesel::table! {
    use crate::schema_exports::*;
    use super::sql_types::Jobtype;

    jobs (id) {
        alias -> Nullable<Text>,
        argv -> Text,
        id -> Uuid,
        exec_type -> Jobtype,
        target_platforms -> Text,
        payload_id -> Nullable<Uuid>,
        schedule -> Nullable<Text>,
    }
}

diesel::table! {
    use crate::schema_exports::*;

    payloads (id) {
        id -> Uuid,
        mime_type -> Text,
        name -> Text,
        size -> Int8,
        data -> Nullable<Bytea>,
    }
}

diesel::table! {
    use crate::schema_exports::*;
    use super::sql_types::Jobstate;
    use super::sql_types::Jobtype;

    results (id) {
        agent_id -> Uuid,
        alias -> Nullable<Text>,
        created -> Timestamp,
        id -> Uuid,
        job_id -> Uuid,
        result -> Nullable<Bytea>,
        state -> Jobstate,
        exec_type -> Jobtype,
        retcode -> Nullable<Int4>,
        updated -> Timestamp,
    }
}

diesel::joinable!(jobs -> payloads (payload_id));
diesel::joinable!(results -> agents (agent_id));
diesel::joinable!(results -> jobs (job_id));

diesel::allow_tables_to_appear_in_same_query!(
    agents,
    jobs,
    payloads,
    results,
);
