use serde::{Deserialize, Serialize};

use crate::{messaging::AsMsg, scheduler::EntryStat, types::Id, ufs::IndexFileMeta};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Stats {
    pub agent_id: Id,
    pub running_jobs: Vec<String>,
    pub scheduled_jobs: Vec<EntryStat>,
    pub cached_jobs: Vec<Id>,
    pub cached_payloads: Vec<IndexFileMeta>,
}

impl AsMsg for Stats {}
