import { Component, EventEmitter, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { NewPayloadModel } from 'src/app/models/payload.model';

@Component({
  selector: 'new-payload-dialog',
  templateUrl: 'new-payload-dialog.component.html',
  styleUrls: ['../base-info-dialog.component.less']
})
export class NewPayloadDialogComponent {
  decodedPayload = "";
  uploadMode = false;
  onSave = new EventEmitter<NewPayloadModel>();

  constructor(@Inject(MAT_DIALOG_DATA) public payload: NewPayloadModel) { }

  save() {
    if (this.payload.data.length == 0) {
      this.payload.data = Array.from(new TextEncoder().encode(this.decodedPayload));
    }
    this.onSave.emit(this.payload);
  }

  onFileSelected(event: any) {
    const file: File = event.target.files[0];
    if (file) {
      this.uploadMode = true
      const reader = new FileReader();
      reader.onload = e => {
        this.payload.name = file.name;
        const result = e.target?.result;
        if (result instanceof ArrayBuffer) {
          const d = Array.from(new Uint8Array(result));
          this.payload.data = d;
          console.log(this.payload.data)
        } else {
          alert!("no file")
        }
      }
      reader.readAsArrayBuffer(file)
    }
  }
}