import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'payload-overview',
  templateUrl: './payload-overview.component.html',
  styleUrls: ['./payload-overview.component.less']
})
export class PayloadOverviewComponent implements OnInit {
  @Input() payload: number[] | null = null;
  @Input("preview") isPreview = true;
  isTooBigPayload = false;
  decodedPayload = "";

  ngOnInit() {
    if (this.payload !== null) {
      this.decodedPayload = new TextDecoder().decode(new Uint8Array(this.payload))
    } else {
      this.isTooBigPayload = true
    }
  }
}
